> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Bank Accounts, filter by query



## OpenAPI

````yaml get /bank_accounts
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /bank_accounts:
    get:
      tags:
        - Bank Accounts
      summary: Retrieve all Bank Accounts, filter by query
      parameters:
        - name: created
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created
            timestamp for object.
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results returned per request
          schema:
            type: integer
        - name: page
          in: query
          description: Paginate results when number of results exceeds limit
          schema:
            type: integer
        - name: sort
          in: query
          description: >-
            Results are sorted by created desc as default.

            Ordering may be specified, available options are ['created',
            'updated'], which can be combined in a comma separated list,

            e.g. updated:desc,created:asc 
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  bank_accounts:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '132'
                        currency:
                          type: string
                          example: GBP
                        country_code:
                          type: string
                          example: GB
                        account_holder_name:
                          type: string
                          example: Organistation Ltd
                        account_holder_type:
                          type: string
                          example: Business
                        account_number:
                          type: string
                          example: '12345678'
                        sort_code:
                          type: string
                          example: '123456'
                        bank_name:
                          type: string
                          example: Bank Inc
                        branch_name:
                          type: string
                          example: Manchester Central
                        branch_number:
                          type: string
                          example: 23AX
                        routing_number:
                          type: string
                          example: '7587'
                        account_kind:
                          type: string
                          example: Checking
                        iban:
                          type: string
                          example: GB98MIDL07009312345678
                        bic_swift_code:
                          type: string
                          example: AAAABB11222
                        owner_id:
                          type: integer
                          example: '23'
                        owner_type:
                          type: string
                          example: Supplier
                        owner_name:
                          type: string
                          example: Supplier Services Ltd
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
        '401':
          description: unauthorized
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````